diff --git a/backend/server.py b/backend/server.py
index 3bc7ed9..8cd8e26 100644
--- a/backend/server.py
+++ b/backend/server.py
@@ -9,6 +9,7 @@ from sqlalchemy import select, func, and_, or_, desc, asc, distinct, delete
 from sqlalchemy.orm import selectinload
 import os
 import logging
+import aiofiles
 from pathlib import Path
 from pydantic import BaseModel, Field, EmailStr, ConfigDict
 from typing import List, Optional, Dict, Any
@@ -20,6 +21,10 @@ import io
 import csv
 import base64
 import shutil
+import smtplib
+import httpx
+from email.mime.text import MIMEText
+from email.mime.multipart import MIMEMultipart
 from contextlib import asynccontextmanager
 from reportlab.lib import colors
 from reportlab.lib.pagesizes import letter, A4
@@ -32,7 +37,7 @@ from models import (
     User, Product, Service, CartItem, Order, OrderItem, OrderStatusHistory,
     Review, Booking, Contact, InventoryLog, Category, SalesReport,
     OrderStatus, UserRole, Base, ProductImage, ServiceImage,
-    AboutContent, TeamMember, CompanyValue
+    AboutContent, TeamMember, CompanyValue, Media, MediaType
 )
 
 ROOT_DIR = Path(__file__).parent
@@ -42,6 +47,26 @@ load_dotenv(ROOT_DIR / '.env')
 UPLOAD_DIR = ROOT_DIR / 'uploads' / 'products'
 UPLOAD_DIR.mkdir(parents=True, exist_ok=True)
 
+# Notification settings (from environment variables)
+SMTP_HOST = os.environ.get('SMTP_HOST', 'smtp.gmail.com')
+SMTP_PORT = int(os.environ.get('SMTP_PORT', 587))
+SMTP_USER = os.environ.get('SMTP_USER', '')
+SMTP_PASSWORD = os.environ.get('SMTP_PASSWORD', '')
+ADMIN_EMAIL = os.environ.get('ADMIN_EMAIL', 'admin@prompttech.com')
+ADMIN_PHONE = os.environ.get('ADMIN_PHONE', '+5016261234')  # WhatsApp number
+WHATSAPP_API_URL = os.environ.get('WHATSAPP_API_URL', '')  # e.g., CallMeBot or Twilio
+WHATSAPP_API_KEY = os.environ.get('WHATSAPP_API_KEY', '')
+
+# Create media uploads directory
+MEDIA_UPLOAD_DIR = ROOT_DIR / 'uploads' / 'media'
+MEDIA_UPLOAD_DIR.mkdir(parents=True, exist_ok=True)
+
+# Allowed file extensions for media
+ALLOWED_IMAGE_EXTENSIONS = {'.jpg', '.jpeg', '.png', '.gif', '.webp', '.svg', '.bmp', '.ico'}
+ALLOWED_DOC_EXTENSIONS = {'.pdf', '.doc', '.docx', '.xls', '.xlsx', '.ppt', '.pptx', '.txt'}
+ALLOWED_VIDEO_EXTENSIONS = {'.mp4', '.webm', '.mov', '.avi'}
+MAX_FILE_SIZE = 50 * 1024 * 1024  # 50MB
+
 # JWT Configuration
 SECRET_KEY = os.environ.get('JWT_SECRET', 'techzone-super-secret-key-2024-production')
 ALGORITHM = "HS256"
@@ -431,9 +456,139 @@ def booking_to_dict(booking: Booking) -> dict:
         "preferred_date": booking.preferred_date,
         "notes": booking.notes,
         "status": booking.status,
-        "created_at": booking.created_at.isoformat() if booking.created_at else None
+        "created_at": booking.created_at.isoformat() if booking.created_at else None,
+        "completed_at": booking.completed_at.isoformat() if booking.completed_at else None,
+        "diagnosis": booking.diagnosis,
+        "work_performed": booking.work_performed,
+        "technician_notes": booking.technician_notes,
+        "service_cost": booking.service_cost,
+        "paid": booking.paid,
+        "paid_at": booking.paid_at.isoformat() if booking.paid_at else None,
+        "device_model": booking.device_model,
+        "serial_number": booking.serial_number,
+        "product_number": booking.product_number,
+        "screen_size": booking.screen_size
     }
 
+# Booking completion model
+class BookingComplete(BaseModel):
+    diagnosis: Optional[str] = None
+    work_performed: Optional[str] = None
+    technician_notes: Optional[str] = None
+    service_cost: Optional[float] = None
+    paid: Optional[bool] = None
+    device_model: Optional[str] = None
+    serial_number: Optional[str] = None
+    product_number: Optional[str] = None
+    screen_size: Optional[str] = None
+
+# ================== NOTIFICATION FUNCTIONS ==================
+
+async def send_email_notification(subject: str, body: str, to_email: str = None):
+    """Send email notification to admin"""
+    if not SMTP_USER or not SMTP_PASSWORD:
+        logger.warning("Email notification skipped - SMTP not configured")
+        return False
+    
+    try:
+        to_email = to_email or ADMIN_EMAIL
+        msg = MIMEMultipart()
+        msg['From'] = SMTP_USER
+        msg['To'] = to_email
+        msg['Subject'] = subject
+        msg.attach(MIMEText(body, 'html'))
+        
+        with smtplib.SMTP(SMTP_HOST, SMTP_PORT) as server:
+            server.starttls()
+            server.login(SMTP_USER, SMTP_PASSWORD)
+            server.send_message(msg)
+        
+        logger.info(f"Email notification sent to {to_email}")
+        return True
+    except Exception as e:
+        logger.error(f"Failed to send email: {e}")
+        return False
+
+async def send_whatsapp_notification(message: str, phone: str = None):
+    """Send WhatsApp notification using CallMeBot API or similar service"""
+    if not WHATSAPP_API_URL or not WHATSAPP_API_KEY:
+        logger.warning("WhatsApp notification skipped - API not configured")
+        return False
+    
+    try:
+        phone = phone or ADMIN_PHONE
+        # CallMeBot API format: https://api.callmebot.com/whatsapp.php?phone=PHONE&text=MESSAGE&apikey=KEY
+        async with httpx.AsyncClient() as client:
+            params = {
+                'phone': phone.replace('+', ''),
+                'text': message,
+                'apikey': WHATSAPP_API_KEY
+            }
+            response = await client.get(WHATSAPP_API_URL, params=params, timeout=10)
+            if response.status_code == 200:
+                logger.info(f"WhatsApp notification sent to {phone}")
+                return True
+            else:
+                logger.error(f"WhatsApp API error: {response.status_code}")
+                return False
+    except Exception as e:
+        logger.error(f"Failed to send WhatsApp: {e}")
+        return False
+
+async def notify_booking(booking_data: dict, service_name: str):
+    """Send booking notifications via email and WhatsApp"""
+    # Format the booking details
+    booking_date = booking_data.get('preferred_date', 'Not specified')
+    customer_name = booking_data.get('name', 'Unknown')
+    customer_email = booking_data.get('email', 'Not provided')
+    customer_phone = booking_data.get('phone', 'Not provided')
+    notes = booking_data.get('notes', 'None')
+    
+    # Email body (HTML)
+    email_body = f"""
+    <html>
+    <body style="font-family: Arial, sans-serif; padding: 20px;">
+        <h2 style="color: #2563eb;">New Service Booking!</h2>
+        <p>A customer has booked a service on your website.</p>
+        <table style="border-collapse: collapse; width: 100%; max-width: 500px;">
+            <tr><td style="padding: 8px; font-weight: bold; border-bottom: 1px solid #eee;">Service:</td>
+                <td style="padding: 8px; border-bottom: 1px solid #eee;">{service_name}</td></tr>
+            <tr><td style="padding: 8px; font-weight: bold; border-bottom: 1px solid #eee;">Customer Name:</td>
+                <td style="padding: 8px; border-bottom: 1px solid #eee;">{customer_name}</td></tr>
+            <tr><td style="padding: 8px; font-weight: bold; border-bottom: 1px solid #eee;">Email:</td>
+                <td style="padding: 8px; border-bottom: 1px solid #eee;">{customer_email}</td></tr>
+            <tr><td style="padding: 8px; font-weight: bold; border-bottom: 1px solid #eee;">Phone:</td>
+                <td style="padding: 8px; border-bottom: 1px solid #eee;">{customer_phone}</td></tr>
+            <tr><td style="padding: 8px; font-weight: bold; border-bottom: 1px solid #eee;">Preferred Date:</td>
+                <td style="padding: 8px; border-bottom: 1px solid #eee;">{booking_date}</td></tr>
+            <tr><td style="padding: 8px; font-weight: bold; border-bottom: 1px solid #eee;">Notes:</td>
+                <td style="padding: 8px; border-bottom: 1px solid #eee;">{notes}</td></tr>
+        </table>
+        <p style="margin-top: 20px;">Please reach out to the customer as soon as possible.</p>
+        <p style="color: #666;">- PromptTech Solutions</p>
+    </body>
+    </html>
+    """
+    
+    # WhatsApp message (plain text)
+    whatsapp_msg = f"""🔔 NEW BOOKING!
+    
+Service: {service_name}
+Customer: {customer_name}
+Phone: {customer_phone}
+Email: {customer_email}
+Date: {booking_date}
+Notes: {notes}
+
+Please reach out to the customer."""
+
+    # Send both notifications (don't block on failures)
+    await send_email_notification(
+        subject=f"New Booking: {service_name} - {customer_name}",
+        body=email_body
+    )
+    await send_whatsapp_notification(whatsapp_msg)
+
 # ================== AUTH ROUTES ==================
 
 @api_router.post("/auth/register", response_model=TokenResponse)
@@ -586,6 +741,20 @@ async def book_service(
     )
     db.add(booking)
     await db.commit()
+    
+    # Send notifications to admin (email + WhatsApp)
+    try:
+        await notify_booking({
+            'name': booking_data.name,
+            'email': booking_data.email,
+            'phone': booking_data.phone,
+            'preferred_date': booking_data.preferred_date,
+            'notes': booking_data.notes
+        }, service.name)
+    except Exception as e:
+        logger.error(f"Failed to send booking notifications: {e}")
+        # Don't fail the booking if notifications fail
+    
     return {"message": "Booking created successfully", "booking_id": booking.id}
 
 # ================== CART ROUTES ==================
@@ -1601,6 +1770,125 @@ async def admin_update_booking_status(booking_id: str, status: str, user: User =
     await db.commit()
     return {"message": "Booking status updated"}
 
+@api_router.put("/admin/bookings/{booking_id}/complete")
+async def admin_complete_booking(
+    booking_id: str, 
+    completion_data: BookingComplete,
+    user: User = Depends(get_admin_user), 
+    db: AsyncSession = Depends(get_db)
+):
+    """Mark a booking as completed with diagnosis and work performed details"""
+    result = await db.execute(select(Booking).where(Booking.id == booking_id))
+    booking = result.scalar_one_or_none()
+    if not booking:
+        raise HTTPException(status_code=404, detail="Booking not found")
+    
+    booking.status = "completed"
+    booking.completed_at = datetime.now(timezone.utc)
+    if completion_data.diagnosis:
+        booking.diagnosis = completion_data.diagnosis
+    if completion_data.work_performed:
+        booking.work_performed = completion_data.work_performed
+    if completion_data.technician_notes:
+        booking.technician_notes = completion_data.technician_notes
+    if completion_data.service_cost is not None:
+        booking.service_cost = completion_data.service_cost
+    if completion_data.paid is not None:
+        booking.paid = completion_data.paid
+        if completion_data.paid:
+            booking.paid_at = datetime.now(timezone.utc)
+    if completion_data.device_model:
+        booking.device_model = completion_data.device_model
+    if completion_data.serial_number:
+        booking.serial_number = completion_data.serial_number
+    if completion_data.product_number:
+        booking.product_number = completion_data.product_number
+    if completion_data.screen_size:
+        booking.screen_size = completion_data.screen_size
+    
+    await db.commit()
+    await db.refresh(booking)
+    
+    logger.info(f"Booking {booking_id} marked as completed by {user.email}")
+    return booking_to_dict(booking)
+
+@api_router.get("/admin/bookings/{booking_id}/receipt")
+async def admin_get_booking_receipt(
+    booking_id: str,
+    user: User = Depends(get_admin_user),
+    db: AsyncSession = Depends(get_db)
+):
+    """Get booking receipt data for printing"""
+    result = await db.execute(
+        select(Booking)
+        .where(Booking.id == booking_id)
+        .options(selectinload(Booking.service))
+    )
+    booking = result.scalar_one_or_none()
+    if not booking:
+        raise HTTPException(status_code=404, detail="Booking not found")
+    
+    # Get service details
+    service_price = booking.service.price if booking.service else 0
+    
+    return {
+        **booking_to_dict(booking),
+        "service_base_price": service_price,
+        "final_cost": booking.service_cost if booking.service_cost else service_price,
+        "company": {
+            "name": "PromptTech Solutions",
+            "address": "Belmopan City, Cayo District, Belize",
+            "phone": "+501 638-6318",
+            "email": "prompttechbz@gmail.com"
+        }
+    }
+
+@api_router.put("/admin/bookings/{booking_id}/update")
+async def admin_update_booking(
+    booking_id: str, 
+    update_data: BookingComplete,
+    user: User = Depends(get_admin_user), 
+    db: AsyncSession = Depends(get_db)
+):
+    """Update booking details without marking as complete"""
+    result = await db.execute(select(Booking).where(Booking.id == booking_id))
+    booking = result.scalar_one_or_none()
+    if not booking:
+        raise HTTPException(status_code=404, detail="Booking not found")
+    
+    if update_data.diagnosis is not None:
+        booking.diagnosis = update_data.diagnosis
+    if update_data.work_performed is not None:
+        booking.work_performed = update_data.work_performed
+    if update_data.technician_notes is not None:
+        booking.technician_notes = update_data.technician_notes
+    if update_data.service_cost is not None:
+        booking.service_cost = update_data.service_cost
+    
+    await db.commit()
+    await db.refresh(booking)
+    
+    logger.info(f"Booking {booking_id} updated by {user.email}")
+    return booking_to_dict(booking)
+
+@api_router.delete("/admin/bookings/{booking_id}")
+async def admin_delete_booking(
+    booking_id: str,
+    user: User = Depends(get_admin_user),
+    db: AsyncSession = Depends(get_db)
+):
+    """Delete a booking"""
+    result = await db.execute(select(Booking).where(Booking.id == booking_id))
+    booking = result.scalar_one_or_none()
+    if not booking:
+        raise HTTPException(status_code=404, detail="Booking not found")
+    
+    await db.delete(booking)
+    await db.commit()
+    
+    logger.info(f"Booking {booking_id} deleted by {user.email}")
+    return {"message": "Booking deleted successfully"}
+
 # Admin - Users Management
 
 # Admin - Reports
@@ -1642,6 +1930,7 @@ async def admin_get_sales_report(
     bookings_result = await db.execute(
         select(Booking)
         .where(and_(Booking.created_at >= start, Booking.created_at <= end))
+        .options(selectinload(Booking.service))
     )
     bookings = bookings_result.scalars().all()
     
@@ -1661,7 +1950,11 @@ async def admin_get_sales_report(
                 "orders": 0,
                 "revenue": 0,
                 "products_sold": 0,
-                "order_statuses": {}
+                "order_statuses": {},
+                "services_booked": 0,
+                "services_completed": 0,
+                "services_paid": 0,
+                "service_revenue": 0
             }
         
         report_data[key]["orders"] += 1
@@ -1671,7 +1964,11 @@ async def admin_get_sales_report(
         status = order.status.value if order.status else "unknown"
         report_data[key]["order_statuses"][status] = report_data[key]["order_statuses"].get(status, 0) + 1
     
-    # Add booking counts
+    # Add booking counts and service revenue
+    total_service_revenue = 0
+    total_services_completed = 0
+    total_services_paid = 0
+    
     for booking in bookings:
         if period == "daily":
             key = booking.created_at.strftime("%Y-%m-%d")
@@ -1686,10 +1983,26 @@ async def admin_get_sales_report(
                 "orders": 0,
                 "revenue": 0,
                 "products_sold": 0,
-                "order_statuses": {}
+                "order_statuses": {},
+                "services_booked": 0,
+                "services_completed": 0,
+                "services_paid": 0,
+                "service_revenue": 0
             }
         
         report_data[key]["services_booked"] = report_data[key].get("services_booked", 0) + 1
+        
+        if booking.status == "completed":
+            report_data[key]["services_completed"] = report_data[key].get("services_completed", 0) + 1
+            total_services_completed += 1
+        
+        if booking.paid:
+            report_data[key]["services_paid"] = report_data[key].get("services_paid", 0) + 1
+            total_services_paid += 1
+            # Use service_cost if set, otherwise use service base price
+            cost = booking.service_cost if booking.service_cost else (booking.service.price if booking.service else 0)
+            report_data[key]["service_revenue"] = report_data[key].get("service_revenue", 0) + cost
+            total_service_revenue += cost
     
     # Calculate totals
     total_orders = len(orders)
@@ -1706,6 +2019,10 @@ async def admin_get_sales_report(
             "total_revenue": total_revenue,
             "total_products_sold": total_products,
             "total_services_booked": total_bookings,
+            "total_services_completed": total_services_completed,
+            "total_services_paid": total_services_paid,
+            "total_service_revenue": total_service_revenue,
+            "combined_revenue": total_revenue + total_service_revenue,
             "average_order_value": total_revenue / total_orders if total_orders > 0 else 0
         },
         "data": list(report_data.values())
@@ -2321,12 +2638,7 @@ async def admin_update_about_content(
     db: AsyncSession = Depends(get_db)
 ):
     """Update about content section"""
-    try:
-        content_uuid = uuid.UUID(content_id)
-    except ValueError:
-        raise HTTPException(status_code=400, detail="Invalid content ID format")
-    
-    result = await db.execute(select(AboutContent).where(AboutContent.id == content_uuid))
+    result = await db.execute(select(AboutContent).where(AboutContent.id == content_id))
     content = result.scalar_one_or_none()
     
     if not content:
@@ -2374,12 +2686,7 @@ async def admin_delete_about_content(
     db: AsyncSession = Depends(get_db)
 ):
     """Delete about content section"""
-    try:
-        content_uuid = uuid.UUID(content_id)
-    except ValueError:
-        raise HTTPException(status_code=400, detail="Invalid content ID format")
-    
-    result = await db.execute(select(AboutContent).where(AboutContent.id == content_uuid))
+    result = await db.execute(select(AboutContent).where(AboutContent.id == content_id))
     content = result.scalar_one_or_none()
     
     if not content:
@@ -2464,12 +2771,7 @@ async def admin_update_team_member(
     db: AsyncSession = Depends(get_db)
 ):
     """Update team member"""
-    try:
-        member_uuid = uuid.UUID(member_id)
-    except ValueError:
-        raise HTTPException(status_code=400, detail="Invalid member ID format")
-    
-    result = await db.execute(select(TeamMember).where(TeamMember.id == member_uuid))
+    result = await db.execute(select(TeamMember).where(TeamMember.id == member_id))
     member = result.scalar_one_or_none()
     
     if not member:
@@ -2519,12 +2821,7 @@ async def admin_delete_team_member(
     db: AsyncSession = Depends(get_db)
 ):
     """Delete team member"""
-    try:
-        member_uuid = uuid.UUID(member_id)
-    except ValueError:
-        raise HTTPException(status_code=400, detail="Invalid member ID format")
-    
-    result = await db.execute(select(TeamMember).where(TeamMember.id == member_uuid))
+    result = await db.execute(select(TeamMember).where(TeamMember.id == member_id))
     member = result.scalar_one_or_none()
     
     if not member:
@@ -2600,12 +2897,7 @@ async def admin_update_company_value(
     db: AsyncSession = Depends(get_db)
 ):
     """Update company value"""
-    try:
-        value_uuid = uuid.UUID(value_id)
-    except ValueError:
-        raise HTTPException(status_code=400, detail="Invalid value ID format")
-    
-    result = await db.execute(select(CompanyValue).where(CompanyValue.id == value_uuid))
+    result = await db.execute(select(CompanyValue).where(CompanyValue.id == value_id))
     value = result.scalar_one_or_none()
     
     if not value:
@@ -2646,12 +2938,7 @@ async def admin_delete_company_value(
     db: AsyncSession = Depends(get_db)
 ):
     """Delete company value"""
-    try:
-        value_uuid = uuid.UUID(value_id)
-    except ValueError:
-        raise HTTPException(status_code=400, detail="Invalid value ID format")
-    
-    result = await db.execute(select(CompanyValue).where(CompanyValue.id == value_uuid))
+    result = await db.execute(select(CompanyValue).where(CompanyValue.id == value_id))
     value = result.scalar_one_or_none()
     
     if not value:
